package com.seer.teach.user.admin.convert;

import com.seer.teach.user.admin.response.PermissionSyncLogResp;
import com.seer.teach.user.entity.PermissionSyncLogEntity;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface PermissionSyncLogConvert {


    PermissionSyncLogConvert INSTANCE = Mappers.getMapper(PermissionSyncLogConvert.class);


    PermissionSyncLogResp toResponse(PermissionSyncLogEntity request);

    List<PermissionSyncLogResp> toResponseList(List<PermissionSyncLogEntity> request);
}
